<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <div class="container">
      <form class="form">
        <h1>NAME</h1>
        <li class="list">
          <ol id="1">
            Ramen
          </ol>
          <ol id="2">
            Udon
          </ol>
          <ol id="3">
            Coto
          </ol>
        </li>
        <label for="">Your Choise: </label>
        <input type="text" name="" id="input" />

        <button class="submit">Submit</button>
      </form>
    </div>

    <!-- Jquery CDN -->
    <script
      src="https://code.jquery.com/jquery-3.5.1.min.js"
      integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0="
      crossorigin="anonymous"
    ></script>
    <script>
      $(document).ready(function () {
        function hideItem() {
          $(".container > li > #3").hide();
        }

        $("#3").click(() => {
          hideItem();
        });

        $("#2").hover(() => {
          const tag = $("#2");
          if (tag.css("color") === "rgb(0, 0, 255)") {
            console.log("SUDAH BIRU");
            $("#2").css("color", "red");
          } else {
            $("#2").css("color", "blue");
          }
        });

        $(".form").on("click", (e) => {
          e.preventDefault();
          append();
        });

        $(".submit").on("click", (e) => {
          const val = $("#input").val();
          console.log(val);
        });

        function append() {
          $(".container").append(`
          <h1>HELLO WORLD</h1>
      `);
        }

        console.log($("ol"));

        const ol = $("ol");
        [].map.call(ol, (el) => {
          $("ol").click(() => console.log($("ol").val()));
        });
        $(".container").click(function () {
          $(".container > li > #1").css("color", "red");
          //$(this).hide();
        });
      });
    </script>
  </body>
</html>
